Name:		cdemu-daemon
Version:	2.0.0
Summary:	Userspace daemon part of the CDemu suite
Release:	%mkrel 4
Source0:	http://downloads.sourceforge.net/cdemu/%{name}-%{version}.tar.bz2
Source1:	50-cdemud.rules
Source2:	README.1.4.0.upgrade.urpmi
# (Anssi 12/2011) change default configuration to
# - 1 virtual device instead of 2
# - no logging into $HOME to reduce homedir pollution
Patch0:		0001-daemon-set-Mageia-default-configuration.patch
Group:		Emulators
License:	GPLv2+
URL:		http://cdemu.sourceforge.net/
BuildRequires:	mirage-devel >= %{version}
BuildRequires:	glib2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libao-devel
BuildRequires:	libsysfs-devel
BuildRequires:	cmake
Obsoletes:	dkms-cdemu < 0.9
Requires:	rpm-helper
Requires:	kmod(vhba)
# kcdemu works only with old cdemu:
Conflicts:	kcdemu < 0.4.0-5

%description
The daemon receives SCSI commands from kernel module and processes
them, passing the requested data back to the kernel.

Daemon implements the actual virtual device; one instance per each
device registered by kernel module. It uses libMirage, an image
access library that is part of userspace-cdemu suite, for the image
access (e.g. sector reading).

Daemon is controlled through methods that are exposed via D-BUS. It
is written in C and based on GLib (and thus GObjects), but being
controlled over D-BUS, it allows for different clients written in
different languages.

%prep
%setup -q
%apply_patches

cp %{SOURCE2} .

%build
%cmake
%make

%install
cd build
%makeinstall_std

install -d -m755 %{buildroot}%{_libdir}
install -d -m755 %{buildroot}%{_sysconfdir}/sysconfig
install -d -m755 %{buildroot}%{_sysconfdir}/modprobe.preload.d
install -d -m755 %{buildroot}%{_datadir}/dbus-1/services
install -d -m755 %{buildroot}/lib/udev/rules.d

echo "vhba" > %{buildroot}%{_sysconfdir}/modprobe.preload.d/cdemud.conf

install %{SOURCE1} %{buildroot}/lib/udev/rules.d/50-cdemud.rules

%post
# remove old system-wide service
if [ -e %{_initrddir}/cdemud ]; then
	chkconfig --del cdemud
fi
# apply the new udev rule if module already present
/sbin/modprobe --first-time vhba 2>/dev/null || /sbin/udevadm trigger --sysname-match=vhba_ctl

%files
%defattr(-,root,root)
%doc README AUTHORS README.1.4.0.upgrade.urpmi
%{_sysconfdir}/modprobe.preload.d/cdemud.conf
/lib/udev/rules.d/50-cdemud.rules
%{_bindir}/cdemu-daemon
%{_libexecdir}/cdemu-daemon-session.sh
%{_datadir}/dbus-1/services/net.sf.cdemu.CDEmuDaemon.service
%{_mandir}/man8/cdemu-daemon.8*


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 2.0.0-4.mga3
+ Revision: 347502
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 mitya <mitya> 2.0.0-3.mga3
+ Revision: 339730
- Rebuild for _libexecdir

* Fri Dec 28 2012 mitya <mitya> 2.0.0-2.mga3
+ Revision: 335859
- Tweak udev rule to fix perms on /dev/vhba_ctl

* Fri Dec 28 2012 mitya <mitya> 2.0.0-1.mga3
+ Revision: 335810
- New version 2.0.0

* Tue Mar 06 2012 anssi <anssi> 1.5.0-1.mga2
+ Revision: 220431
- new version 1.5.0
- drop patches applied upstream

* Sat Dec 03 2011 anssi <anssi> 1.4.0-1.mga2
+ Revision: 175725
- new version 1.4.0
- rediff format-security.patch
- drop deprecated system bus support files, always use session bus
- switch to new upstream session bus wrapper, add upgrade urpmi README
  (default configuration modified, Mageia-default-configuration.patch)
- replace wrapper shell when starting cdemu to prevent extra process
  (replace-wrapper-shell-when-starting-cdemud.patch)
- keep the dbus wrapper under libdir
  (put-dbus-wrapper-scripts-in-libexecdir.patch)
- fix modprobe.preload.d config file name (fixes loading of vhba module
  on boot, bug #3468)

* Sat Jan 15 2011 anssi <anssi> 1.3.0-1.mga1
+ Revision: 19643
- imported package cdemu-daemon

